## trm trm — Compute MusicBrainz TRM Id using libmusicbrainz |

## Synopsis

    struct              GstTRM;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTRM

## Properties

      "proxy-address"            gchar*                : Read / Write
      "proxy-port"               guint                 : Read / Write

## Description

## Synopsis

### Element Information

plugin | musicbrainz
author | Jeremy Simon <jsimon13@yahoo.fr>
class | Filter/Analyzer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, endianness=(int)1234, signed=(boolean)true, width=(int){ 8, 16 }, depth=(int){ 8, 16 }, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 2 ]

name | src
direction | source
presence | always
details | audio/x-raw-int, endianness=(int)1234, signed=(boolean)true, width=(int){ 8, 16 }, depth=(int){ 8, 16 }, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 2 ]

## Details

### struct GstTRM

    struct GstTRM;

## Property Details

### The `"proxy-address"` property

      "proxy-address"            gchar*                : Read / Write

proxy address.

Default value: NULL

### The `"proxy-port"` property

      "proxy-port"               guint                 : Read / Write

proxy port.

Allowed values: [1,65535]

Default value: 8080